Subject: [alpine-devel] [PATCH] main/acf-vlc-daemon: New aport

From: Mika Havela <[email-masked]>
Date: Tue, 13 Mar 2012 09:37:13 +0100

---
 main/acf-vlc-daemon/APKBUILD |   37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 main/acf-vlc-daemon/APKBUILD

diff --git a/main/acf-vlc-daemon/APKBUILD b/main/acf-vlc-daemon/APKBUILD
new file mode 100644
index 0000000..5a784d8
--- /dev/null
+++ b/main/acf-vlc-daemon/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer:
+pkgname=acf-vlc-daemon
+pkgver=0.1.0
+pkgrel=0
+pkgdesc="A web-based system administration interface for vlc"
+url="http://git.alpinelinux.org/cgit/acf-vlc-daemon"
+arch="noarch"
+license="GPL-2"
+depends="acf-core lua vlc-daemon"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://git.alpinelinux.org/cgit/$pkgname.git/snapshot/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+package() {
+	cd "$_builddir"
+}
+
+md5sums="199d1ca88017bbdcddc65754240e389b  acf-vlc-daemon-0.1.0.tar.bz2"
-- 
1.7.9.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Wed, 14 Mar 2012 11:44:06 +0100

On Tue, 13 Mar 2012 09:37:13 +0100
Mika Havela <[email-masked]> wrote:

> ---
>  main/acf-vlc-daemon/APKBUILD |   37
> +++++++++++++++++++++++++++++++++++++ 1 file changed, 37 insertions(+)

applied. thanks!

-nc

---